import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:xiao_pet_tracker/xiao_connector/cubit/xiao_connector_cubit.dart';

class CaptureView extends StatelessWidget {
  const CaptureView({super.key});

  @override
  Widget build(BuildContext context) {
    final lastCapturePoint = context
        .select((XiaoConnectorCubit cubit) => cubit.state.lastCapturedPoint);
    return Scaffold(
      appBar: AppBar(
        title: const Text('Capturing'),
      ),
      body: SingleChildScrollView(
        child: Center(
          child: Column(
            children: [
              ElevatedButton(
                onPressed: () {
                  context.read<XiaoConnectorCubit>().stopCapturing();
                },
                child: const Text('Stop Capturing'),
              ),
              const Text(
                'Last Captured Point',
                style: TextStyle(fontWeight: FontWeight.bold),
              ),
              Text(
                  '${DateTime.fromMillisecondsSinceEpoch(lastCapturePoint?.millisecondsSinceEpoch ?? 0)}'),
              const Divider(),
              Text('Acceleration X: ${lastCapturePoint?.accelerationX}'),
              Text('Acceleration Y: ${lastCapturePoint?.accelerationY}'),
              Text('Acceleration Z: ${lastCapturePoint?.accelerationZ}'),
              const Divider(),
              Text('Rotation X: ${lastCapturePoint?.rotationX}'),
              Text('Rotation Y: ${lastCapturePoint?.rotationY}'),
              Text('Rotation Z: ${lastCapturePoint?.rotationZ}'),
            ],
          ),
        ),
      ),
    );
  }
}
